RubyGems Navigation menu

mono_logger 1.1.0

A lock-free logger compatible with Ruby 2.0. Ruby does not allow you to request a lock in a trap handler because that could deadlock, so Logger is not sufficient.

Gemfile
          gem 'mono_logger', '~> 1.1.0'
  
  
  
  
  
  
  

install
          gem install mono_logger
  
  
  
  
  
  
  

Licenses:

  • MIT

Total downloads 1,447,519

For this version 1,243,500

Required Ruby Version: None

Links:

Versions:

  1. 1.1.0 - May 19, 2013 (10 KB)
  2. 1.0.1 - April 8, 2013 (7 KB)
  3. 1.0.0 - March 19, 2013 (9.5 KB)